package com.yanzuoguang.dao;

/**
 * DAO层处理基本美剧
 *
 * @author 颜佐光
 */
public class DaoConst {
    /**
     * 创建操作
     */
    public static final int OPERATOR_TYPE_CREATE = 0;
    /**
     * 更新操作
     */
    public static final int OPERATOR_TYPE_UPDATE = 1;
    /**
     * 删除操作
     */
    public static final int OPERATOR_TYPE_REMOVE = 2;
    /**
     * 加载操作
     */
    public static final int OPERATOR_TYPE_LOAD = 3;
    /**
     * 创建
     */
    public static final String CREATE = "create";
    /**
     * 修改
     */
    public static final String UPDATE = "update";
    /**
     * 删除
     */
    public static final String REMOVE = "remove";
    /**
     * 加载
     */
    public static final String LOAD = "load";
    /**
     * 查询
     */
    public static final String QUERY = "query";

    /**
     * GROUP增加数据的SQL语句
     */
    public static final String GROUP_ADD = "GroupAdd";

    /**
     * GROUP查询数据的SQL语句
     */
    public static final String GROUP_QUERY = "GroupQuery";

    /**
     * 驼峰式命名
     */
    public static final int ROW_NAME_TYPE_CAMEL_CASE = 0;
    /**
     * 原字段
     */
    public static final int ROW_NAME_TYPE_NO_CHANGE = 1;
    /**
     * 主键自增为0
     */
    public static final String ZERO = "0";
    /**
     * 单位地址
     */
    public static final int CODE_UNIT = 2;
    /**
     * 表名代码片段
     */
    public static final String TABLE_CODE = "{TABLE}";
    /**
     * 字段代码片段
     */
    public static final String FIELD_CODE = "{FIELD}";
    /**
     * 值代码片段
     */
    public static final String VALUES_CODE = "{VALUES}";
    /**
     * WHERE条件代码片段
     */
    public static final String WHERE_CODE = "{WHERE}";

    /**
     * 插入SQL语句模板
     */
    public static final String INSERT_MODEL = "INSERT INTO {TABLE}({FIELD}) VALUES({VALUES})";
    /**
     * 更新SQL语句模板
     */
    public static final String UPDATE_MODEL = "UPDATE {TABLE} AS a {INNER} SET {FIELD} WHERE 1=1 {WHERE}";
    /**
     * 删除SQL语句模板
     */
    public static final String REMOVE_MODEL = "DELETE a FROM {TABLE} AS a {INNER} WHERE 1=1 {WHERE}";
    /**
     * 加载SQL语句模板
     */
    public static final String LOAD_MODEL = "SELECT a.*{FIELD} FROM {TABLE} AS a {INNER} WHERE 1=1 {WHERE}";
    /**
     * 版本号字段名称
     */
    public static final String VERSION_FLAG = "version";
    /**
     * 删除字段名称
     */
    public static final String REMOVE_FLAG = "remove";
    /**
     * 创建字段名称
     */
    public static final String CREATE_FLAG = "create";
    /**
     * 更新字段名称
     */
    public static final String UPDATE_FLAG = "update";
    /**
     * MD5标记字段
     */
    public static final String MD5_KEY_FLAG = "md5key";
    /**
     * 删除字符串长度变量
     */
    public static final String REMOVE_FLAG_INPUT = "remove_input";
    /**
     * ID字段
     */
    public static final String ID_FIELD = "id";
    /**
     * 集合初始化大小
     */
    public static final int COLLECTION_INIT_SIZE = 15;
    /**
     * 查询条件默认代码片段
     */
    public static final String[] LAST = new String[]{"{WHERE}", "{GROUP}", "{HAVING}", "{ORDER}", "{LIMIT}"};

    /**
     * 普通字段
     */
    public static final int FIELD_COMMON = 0;
    /**
     * 删除标记
     */
    public static final int FIELD_REMOVE = 1;
    /**
     * 版本号字段
     */
    public static final int FIELD_VERSION = 2;
    /**
     * 主键字段
     */
    public static final int FIELD_PRIMARY = 3;
    /**
     * MD5标记字段，用于统计字段
     */
    public static final int FIELD_MD5 = 4;
    /**
     * 删除时记录操作状态的字段
     */
    public static final int FIELD_REMOVE_UPDATE = 5;
    /**
     * 删除时记录操作状态的字段
     */
    public static final int FIELD_CREATE = 6;

    /**
     * SQL语句类型-普通语句
     */
    public static final int SQL_TYPE_COMMON = 0;
    /**
     * SQL语句类型-创建语句
     */
    public static final int SQL_TYPE_CREATE = 1;
    /**
     * SQL语句类型-更新语句
     */
    public static final int SQL_TYPE_UPDATE = 2;

    /**
     * SQL语句类型-删除语句
     */
    public static final int SQL_TYPE_REMOVE = 3;

    /**
     * SQL语句类型-加载语句
     */
    public static final int SQL_TYPE_LOAD = 4;
    /**
     * SQL语句类型-是否存在
     */
    public static final int SQL_TYPE_EXINTS = 5;

}
